<?php

namespace App\Finance\Repositories\Eloquent;

use App\Finance\Repositories\Contracts\InvoiceRecordRepository;
use App\Finance\Repositories\Models\InvoiceRecord;

class InvoiceRecordRepositoryEloquent extends BaseRepository implements InvoiceRecordRepository
{
    protected $fieldSearchable = [
    ];

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return InvoiceRecord::class;
    }

    public function saveInvoice($saveParams)
    {
        $result = $this->updateOrCreate(['invoice_number' => $saveParams['invoice_number']],$saveParams);
        return $result->toArray();
    }

    public function getInvoiceRecordByNumber($invoiceNumber)
    {
        $result = $this->getList(['invoice_number' => $invoiceNumber]);
        return $result;
    }

    public function getList($where = [], $offset = 0, $limit = 100)
    {
        $query = $this;
        if(!empty($where)){
            foreach($where as $whereKey => $whereValue){
                $query = $query->where($whereKey,$whereValue);
            }
        }
        $result = $query->offset($offset)->limit($limit)->get()->toArray();
        return $result;
    }

}
