<?php

namespace App\Http\Controllers\V1\Finance;

use App\Finance\Services\InvoiceService;
use Illuminate\Http\Request;
use Jiannei\Response\Laravel\Support\Facades\Response;
use App\Http\Controllers\V1\Controller;
use App\Support\Traits\Helpers;

class InvoiceController extends Controller
{
    use Helpers;

    public function __construct(InvoiceService $invoiceService)
    {
       $this->invoiceService = $invoiceService;
    }

    public function applyInvoice(Request $request)
    {
        $requestParams = $this->formatKeysfromArray($request->all(),'toUnderScore');

        try{
            $result = $this->invoiceService->applyInvoice($requestParams);
            return Response::success($result,'发票申请成功');
        }catch(\Throwable $exception){
            return $this->returnErrorExecptionResponse($exception,$exception->getMessage());
        }
    }

    public function baiwangInvoiceCallBack(Request $request)
    {

    }

}
